# Shadowrocket: 2026-06-23 22:55:21
[General]
bypass-system = true
skip-proxy = 192.168.0.0/16, 10.0.0.0/8, 172.16.0.0/12, localhost, *.local, captive.apple.com, captive.v.apple.com, e.crashlytics.com, cpd.qq.com
tun-excluded-routes = 10.0.0.0/8, 100.64.0.0/10, 127.0.0.0/8, 169.254.0.0/16, 172.16.0.0/12, 192.0.0.0/24, 192.0.2.0/24, 192.88.99.0/24, 192.168.0.0/16, 198.51.100.0/24, 203.0.113.0/24, 224.0.0.0/4, 255.255.255.255/32, 239.255.255.250/32
udp-policy-not-supported-behaviour = DIRECT
dns-server = https://dns.alidns.com/dns-query, https://doh.pub/dns-query
fallback-dns-server = https://1.1.1.1/dns-query, https://8.8.8.8/dns-query
always-real-ip = rule-set:fakeip-filter, private, cn, +.stun.*, +.msftconnecttest.com, +.msftncsi.com, +.time.windows.com, time.apple.com

[Rule]
DOMAIN-SUFFIX,boundaryx.net,DIRECT
RULE-SET,https://raw.githubusercontent.com/Loyalsoldier/clash-rules/release/reject.txt,REJECT
RULE-SET,https://raw.githubusercontent.com/Loyalsoldier/clash-rules/release/applications.txt,DIRECT
RULE-SET,https://raw.githubusercontent.com/Loyalsoldier/clash-rules/release/lancidr.txt,DIRECT,no-resolve
RULE-SET,https://raw.githubusercontent.com/Loyalsoldier/clash-rules/release/apple.txt,DIRECT
RULE-SET,https://raw.githubusercontent.com/Loyalsoldier/clash-rules/release/google.txt,DIRECT
RULE-SET,https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/Clash/BiliBili/BiliBili.list,DIRECT
RULE-SET,https://raw.githubusercontent.com/Loyalsoldier/clash-rules/release/direct.txt,DIRECT
RULE-SET,https://raw.githubusercontent.com/Loyalsoldier/clash-rules/release/proxy.txt,PROXY
RULE-SET,https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/Clash/OpenAI/OpenAI.list,PROXY
RULE-SET,https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/Clash/YouTube/YouTube.list,PROXY
RULE-SET,https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/Clash/Telegram/Telegram.list,PROXY
RULE-SET,https://raw.githubusercontent.com/Loyalsoldier/clash-rules/release/telegramcidr.txt,PROXY,no-resolve
RULE-SET,https://raw.githubusercontent.com/Loyalsoldier/clash-rules/release/cncidr.txt,DIRECT,no-resolve
GEOIP,LAN,DIRECT,no-resolve
GEOIP,CN,DIRECT,no-resolve
FINAL,PROXY

[Host]
localhost = 127.0.0.1